File qpress-1.1-isatty-include.patch of Package qpress

From: Andreas Stieger andreas.stieger@gmx.de
Date: 2013-01-28 19:18:21 +0000
Subject: [PATCH] fix compiler warning about isatty()
Upstream: sent to lar@quicklz.com

Fix compiler error
qpress.cpp: In function ‘int main(int, char**)’:
qpress.cpp:1039:39: error: ‘isatty’ was not declared in this scope

1
2
3
4
5
6
7
8
9
10
--- a/qpress.cpp	2010-09-23 20:09:26.000000000 +0100
+++ b/qpress.cpp 2013-01-28 19:18:21.000000000 +0000
@@ -89,6 +89,7 @@
#include <sys/stat.h>
#include <stdlib.h>
#include <stdio.h>
+#include <unistd.h>
#include "aio.hpp"
#include <stdarg.h>
#include <string>

via. https://build.opensuse.org/package/view_file/Archiving/qpress/qpress-1.1-isatty-include.patch?expand=1